IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/7
Addresses2^121
/64 networks2^57
- Network
2200::/7- First address
2200::- Last address
23ff:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 2,658,455,991,569,831,745,807,614,120,560,689,152 (2^121)
- /64 networks (LANs)
- 144,115,188,075,855,872 (2^57)
- Full form
2200:0000:0000:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zones
2.2.ip6.arpa3.2.ip6.arpa
/7 is not on a 4-bit boundary, so it takes 2 /8 zones.
Split into smaller subnets
2200::/7 makes 512 subnets of /16; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2200::/16 | 2200:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | 2201::/16 | 2201:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | 2202::/16 | 2202:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | 2203::/16 | 2203:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | 2204::/16 | 2204:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | 2205::/16 | 2205:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | 2206::/16 | 2206:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | 2207::/16 | 2207:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | 2208::/16 | 2208:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | 2209::/16 | 2209:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | 220a::/16 | 220a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | 220b::/16 | 220b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | 220c::/16 | 220c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | 220d::/16 | 220d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | 220e::/16 | 220e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | 220f::/16 | 220f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2210::/16 | 2210:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | 2211::/16 | 2211:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | 2212::/16 | 2212:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | 2213::/16 | 2213:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | 2214::/16 | 2214:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | 2215::/16 | 2215:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | 2216::/16 | 2216:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | 2217::/16 | 2217:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | 2218::/16 | 2218:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | 2219::/16 | 2219:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | 221a::/16 | 221a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | 221b::/16 | 221b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | 221c::/16 | 221c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | 221d::/16 | 221d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | 221e::/16 | 221e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | 221f::/16 | 221f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2220::/16 | 2220:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | 2221::/16 | 2221:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | 2222::/16 | 2222:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | 2223::/16 | 2223:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | 2224::/16 | 2224:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | 2225::/16 | 2225:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | 2226::/16 | 2226:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | 2227::/16 | 2227:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | 2228::/16 | 2228:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | 2229::/16 | 2229:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | 222a::/16 | 222a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | 222b::/16 | 222b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | 222c::/16 | 222c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | 222d::/16 | 222d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | 222e::/16 | 222e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | 222f::/16 | 222f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2230::/16 | 2230:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | 2231::/16 | 2231:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | 2232::/16 | 2232:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | 2233::/16 | 2233:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | 2234::/16 | 2234:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | 2235::/16 | 2235:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | 2236::/16 | 2236:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | 2237::/16 | 2237:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | 2238::/16 | 2238:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | 2239::/16 | 2239:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | 223a::/16 | 223a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | 223b::/16 | 223b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | 223c::/16 | 223c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | 223d::/16 | 223d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | 223e::/16 | 223e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | 223f::/16 | 223f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2240::/16 | 2240:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | 2241::/16 | 2241:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | 2242::/16 | 2242:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | 2243::/16 | 2243:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | 2244::/16 | 2244:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | 2245::/16 | 2245:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | 2246::/16 | 2246:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | 2247::/16 | 2247:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | 2248::/16 | 2248:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | 2249::/16 | 2249:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | 224a::/16 | 224a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | 224b::/16 | 224b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | 224c::/16 | 224c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | 224d::/16 | 224d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | 224e::/16 | 224e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | 224f::/16 | 224f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2250::/16 | 2250:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | 2251::/16 | 2251:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | 2252::/16 | 2252:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | 2253::/16 | 2253:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | 2254::/16 | 2254:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | 2255::/16 | 2255:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | 2256::/16 | 2256:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | 2257::/16 | 2257:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | 2258::/16 | 2258:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | 2259::/16 | 2259:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | 225a::/16 | 225a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | 225b::/16 | 225b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | 225c::/16 | 225c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | 225d::/16 | 225d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | 225e::/16 | 225e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | 225f::/16 | 225f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2260::/16 | 2260:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | 2261::/16 | 2261:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | 2262::/16 | 2262:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | 2263::/16 | 2263:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | 2264::/16 | 2264:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | 2265::/16 | 2265:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | 2266::/16 | 2266:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | 2267::/16 | 2267:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | 2268::/16 | 2268:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | 2269::/16 | 2269:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | 226a::/16 | 226a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | 226b::/16 | 226b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | 226c::/16 | 226c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | 226d::/16 | 226d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | 226e::/16 | 226e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | 226f::/16 | 226f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2270::/16 | 2270:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | 2271::/16 | 2271:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | 2272::/16 | 2272:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | 2273::/16 | 2273:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | 2274::/16 | 2274:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | 2275::/16 | 2275:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | 2276::/16 | 2276:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | 2277::/16 | 2277:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | 2278::/16 | 2278:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | 2279::/16 | 2279:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | 227a::/16 | 227a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | 227b::/16 | 227b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | 227c::/16 | 227c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | 227d::/16 | 227d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | 227e::/16 | 227e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | 227f::/16 | 227f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2280::/16 | 2280:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | 2281::/16 | 2281:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | 2282::/16 | 2282:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | 2283::/16 | 2283:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | 2284::/16 | 2284:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | 2285::/16 | 2285:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | 2286::/16 | 2286:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | 2287::/16 | 2287:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | 2288::/16 | 2288:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | 2289::/16 | 2289:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | 228a::/16 | 228a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | 228b::/16 | 228b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | 228c::/16 | 228c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | 228d::/16 | 228d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | 228e::/16 | 228e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | 228f::/16 | 228f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2290::/16 | 2290:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | 2291::/16 | 2291:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | 2292::/16 | 2292:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | 2293::/16 | 2293:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | 2294::/16 | 2294:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | 2295::/16 | 2295:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | 2296::/16 | 2296:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | 2297::/16 | 2297:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | 2298::/16 | 2298:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | 2299::/16 | 2299:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | 229a::/16 | 229a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | 229b::/16 | 229b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | 229c::/16 | 229c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | 229d::/16 | 229d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | 229e::/16 | 229e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | 229f::/16 | 229f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 22a0::/16 | 22a0:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | 22a1::/16 | 22a1:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | 22a2::/16 | 22a2:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | 22a3::/16 | 22a3:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | 22a4::/16 | 22a4:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | 22a5::/16 | 22a5:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | 22a6::/16 | 22a6:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | 22a7::/16 | 22a7:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | 22a8::/16 | 22a8:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | 22a9::/16 | 22a9:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | 22aa::/16 | 22aa:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | 22ab::/16 | 22ab:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | 22ac::/16 | 22ac:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | 22ad::/16 | 22ad:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | 22ae::/16 | 22ae:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | 22af::/16 | 22af:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 22b0::/16 | 22b0:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | 22b1::/16 | 22b1:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | 22b2::/16 | 22b2:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | 22b3::/16 | 22b3:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | 22b4::/16 | 22b4:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | 22b5::/16 | 22b5:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | 22b6::/16 | 22b6:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | 22b7::/16 | 22b7:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | 22b8::/16 | 22b8:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | 22b9::/16 | 22b9:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | 22ba::/16 | 22ba:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | 22bb::/16 | 22bb:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | 22bc::/16 | 22bc:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | 22bd::/16 | 22bd:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | 22be::/16 | 22be:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | 22bf::/16 | 22bf:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 22c0::/16 | 22c0:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | 22c1::/16 | 22c1:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | 22c2::/16 | 22c2:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | 22c3::/16 | 22c3:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | 22c4::/16 | 22c4:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | 22c5::/16 | 22c5:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | 22c6::/16 | 22c6:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | 22c7::/16 | 22c7:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | 22c8::/16 | 22c8:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | 22c9::/16 | 22c9:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | 22ca::/16 | 22ca:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | 22cb::/16 | 22cb:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | 22cc::/16 | 22cc:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | 22cd::/16 | 22cd:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | 22ce::/16 | 22ce:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | 22cf::/16 | 22cf:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 22d0::/16 | 22d0:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | 22d1::/16 | 22d1:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | 22d2::/16 | 22d2:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | 22d3::/16 | 22d3:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | 22d4::/16 | 22d4:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | 22d5::/16 | 22d5:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | 22d6::/16 | 22d6:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | 22d7::/16 | 22d7:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | 22d8::/16 | 22d8:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | 22d9::/16 | 22d9:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | 22da::/16 | 22da:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | 22db::/16 | 22db:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | 22dc::/16 | 22dc:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | 22dd::/16 | 22dd:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | 22de::/16 | 22de:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | 22df::/16 | 22df:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 22e0::/16 | 22e0:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | 22e1::/16 | 22e1:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | 22e2::/16 | 22e2:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | 22e3::/16 | 22e3:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | 22e4::/16 | 22e4:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | 22e5::/16 | 22e5:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | 22e6::/16 | 22e6:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | 22e7::/16 | 22e7:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | 22e8::/16 | 22e8:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | 22e9::/16 | 22e9:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | 22ea::/16 | 22ea:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | 22eb::/16 | 22eb:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | 22ec::/16 | 22ec:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | 22ed::/16 | 22ed:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | 22ee::/16 | 22ee:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | 22ef::/16 | 22ef:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 22f0::/16 | 22f0:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | 22f1::/16 | 22f1:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | 22f2::/16 | 22f2:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | 22f3::/16 | 22f3:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | 22f4::/16 | 22f4:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | 22f5::/16 | 22f5:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | 22f6::/16 | 22f6:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | 22f7::/16 | 22f7:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | 22f8::/16 | 22f8:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | 22f9::/16 | 22f9:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | 22fa::/16 | 22fa:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | 22fb::/16 | 22fb:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | 22fc::/16 | 22fc:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | 22fd::/16 | 22fd:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | 22fe::/16 | 22fe:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | 22ff::/16 | 22ff:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |